Skip to main content
DELETE
/
spending_plans
/
{spending_plan_guid}
/
spending_plan_account
/
{spending_plan_account_guid}
Delete spending plan account
curl --request DELETE \
  --url https://int-data.moneydesktop.com/spending_plans/{spending_plan_guid}/spending_plan_account/{spending_plan_account_guid} \
  --header 'MD-SESSION-TOKEN: <api-key>'
Use this endpoint to delete a particular spending plan account according to its unique GUID.

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Path Parameters

spending_plan_guid
string
required

The unique identifier for the spending plan. Defined by MX.

spending_plan_account_guid
string
required

The unique identifier for the spending plan account. Defined by MX.

Response

204

No content